%define debug_package %{nil}

Summary: CERN LDAP user/group database client.
Name: useraddcern
Version: 0
Release: 2%{?dist}
Source0: %{name}-%{version}.tgz
Patch1: useraddcern-xldap.patch
Group: CERN/Utilities
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Jaroslaw.Polok@cern.ch
Vendor:  CERN 
License: GPL
Requires: shadow-utils >= 4.0.17
Requires: perl
Requires: perl-LDAP
BuildRequires: perl 
BuildArch: noarch

%description
useraddcern is the CERN LDAP user/group database client.
It acts as an frontend to system useradd / groupadd commands
and allows easy configuration of CERN AFS accounts on the system.


%changelog
* Wed May 27 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 0.2
- changed to use xldap.cern.ch
* Tue Oct 28 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch> 0.1
- initial build 
%prep
%setup 
%patch1 -p0

%build


pod2man %{name}.pl > %{name}.1
cp %{name}.1 addusercern.1

%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 %{name}.pl $RPM_BUILD_ROOT/%{_sbindir}/%{name}
cd $RPM_BUILD_ROOT/%{_sbindir}
/bin/ln -sf %{name} addusercern
cd -
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 %{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 644 addusercern.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

%clean

rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
%{_sbindir}/%{name}
%{_sbindir}/addusercern
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/addusercern.1*
